Subject: Re: git-svn tags and branches

From: Giuseppe Bilotta <[email-masked]>
Date: Mon, 27 Aug 2007 17:42:36 +0200

On Monday 27 August 2007 17:09, David Kastrup wrote:

> Giuseppe Bilotta <[email-masked]> writes:
>>
>> Currently, git-svn imports svn tags as lightweight git tags.
> 
> It does?  I see them as branches.

Oh, I thought that them being in refs/remote/tags meant they
were remote tags. But yes, I had noticed them appearing with
git branch -r

>> I was susprised when I discovered this (from 'git describe'
>> failing and some helpful assistance on the IRC channel), so
>> I'm now wondering: is there a technical reason why they
>> aren't converted to annotated tags? If not, would it be
>> possible to implement this in git-svn, possibly with some
>> way to 'fix' existing git-svn repository?
> 
> I actually don't see how one can safely make them tags at all (rather
> than branches) since Subversion does not enforce the members of a
> "tags" subdirectory to remain unchanged after the initial copy.
> Basically, tags are not different from branches in Subversion from
> what you can do with them.

Although this is technically true, I doubt there are many Subversion
projects which alter the members of a tags subdirectory. So the fact
that it's technically possible doesn't really mean it happens.

I mean, even in git you can do some pretty dirty tag stuff. It may
not be as straightforward as in svn, but still ...

So yes, I still think that an option to convert svn tags to annotated
tags would be appropriate. Wether or not it should be default, it's
a different matter, of course.

-- 
Giuseppe "Oblomov" Bilotta